summarylogtreecommitdiffstats
path: root/mame.sh
diff options
context:
space:
mode:
authorsL1pKn072022-02-20 17:29:23 +0100
committersL1pKn072022-02-20 17:29:23 +0100
commitedb5a3364760b24bbd045b7f6aa9a419cb99f742 (patch)
tree3ab1eefa8a2d73ad9fdeaee211e988919ebf6fad /mame.sh
parent84fdc1d897d0d4cdf70d5cfaef2d3a11e368213a (diff)
downloadaur-sdlmame-wout-toolkits.tar.gz
Update to 0.240
Diffstat (limited to 'mame.sh')
-rw-r--r--mame.sh31
1 files changed, 16 insertions, 15 deletions
diff --git a/mame.sh b/mame.sh
index d02b93a0b191..0b8f2256093b 100644
--- a/mame.sh
+++ b/mame.sh
@@ -11,8 +11,8 @@ mame_first_run() {
cd -- ~/.config/mame || exit
if [ -e mame.ini ]; then
- mv mame.ini mameini.bak || exit
- echo "Your old ini file has been renamed to mameini.bak"
+ mv mame.ini mame.ini.bak || exit
+ echo "Your old ini file has been renamed to mame.ini.bak"
fi
# Note: the single quotes here are not a mistake; MAME will save these
@@ -20,18 +20,19 @@ mame_first_run() {
# it is run in future.
mame \
- -rompath '$HOME/.local/share/mame/roms;roms' \
- -hashpath '$HOME/.local/share/mame/hash;hash' \
+ -homepath '$HOME/.local/share/mame/data' \
+ -rompath '$HOME/.local/share/mame/roms;/usr/lib/mame/roms' \
+ -hashpath '$HOME/.local/share/mame/hash;/usr/lib/mame/hash' \
-samplepath '$HOME/.local/share/mame/samples' \
- -artpath '$HOME/.local/share/mame/artwork;artwork' \
- -ctrlrpath '$HOME/.local/share/mame/ctrlr;ctrlr' \
+ -artpath '$HOME/.local/share/mame/artwork;/usr/lib/mame/artwork' \
+ -ctrlrpath '$HOME/.local/share/mame/ctrlr;/usr/lib/mame/ctrlr' \
-inipath '$HOME/.config/mame/ini' \
- -fontpath '$HOME/.local/share/mame/fonts;fonts' \
+ -fontpath '$HOME/.local/share/mame/fonts;/usr/lib/mame/fonts' \
-cheatpath '$HOME/.local/share/mame/cheat' \
-crosshairpath '$HOME/.local/share/mame/crosshair' \
- -pluginspath '$HOME/.local/share/mame/plugins;plugins' \
- -languagepath '$HOME/.local/share/mame/language;language' \
- -swpath '$HOME/.local/share/mame/software;software' \
+ -pluginspath '$HOME/.local/share/mame/plugins;/usr/lib/mame/plugins' \
+ -languagepath '$HOME/.local/share/mame/language;/usr/lib/mame/language' \
+ -swpath '$HOME/.local/share/mame/software;/usr/lib/mame/software' \
-cfg_directory '$HOME/.config/mame/cfg' \
-nvram_directory '$HOME/.local/share/mame/nvram' \
-input_directory '$HOME/.local/share/mame/inp' \
@@ -40,7 +41,7 @@ mame_first_run() {
-diff_directory '$HOME/.local/share/mame/diff' \
-comment_directory '$HOME/.local/share/mame/comments' \
-video opengl \
- -noreadconfig -showconfig > mame.ini
+ -showconfig > ini/mame.ini
}
if [ "$1" = "--newini" ]; then
@@ -51,15 +52,15 @@ if [ "$1" = "--newini" ]; then
if ! [ -e ~/.local/share/mame ]; then
mkdir -- ~/.local/share/mame
fi
-
+
(
+ cd -- ~/.local/share/mame || exit
+ mkdir -p data roms hash samples artwork ctrlr fonts cheat crosshair plugins language software
cd -- ~/.config/mame || exit
mkdir -p ini
- cd -- ~/.local/share/mame || exit
- mkdir -p roms hash samples artwork ctrlr fonts cheat crosshair plugins language software
mame_first_run
) || exit
fi
cd "${mamelib}"
-exec ./mame "${@/--newini/}"
+exec ./mame -inipath "$HOME/.config/mame/ini" "${@/--newini/}"